%undefine __libtoolize
%define objprelink 0

Name: cdbakeoven
Version: 2.0
%define beta beta2
Release: alt0.3.%beta

Group: Archiving/Cd burning
Summary: CD-R-RW graphical CD-creation-copying tool for the KDE
URL: http://cdbakeoven.sourceforge.net
License: GPL
Icon:	cdbakeoven.xpm
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Source0: cdbakeoven-i18n-%version%beta.tar.bz2

Requires: cdparanoia >= IIIa9.7, cdrecord >= 1.9, cdrecord-cdda2wav >= 1.9, mkisofs >= 1.13
Requires: kdelibs-gcc_compiled = %__gcc_version_base, %{get_dep kdelibs}

# Automatically added by buildreq on Fri Nov 14 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ hostinfo
BuildRequires: kde-settings kdebase-devel kdebase-libkonq kdegames-libs kdelibs-devel
BuildRequires: libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat
BuildRequires: libjpeg-devel liblcms libmng libpcre-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif


%description
CD Bake Oven (CDBO) is a graphical CD-creation/copying tool designed which aims 
to combine the power and stability of great command line utilities with a 
contemporary, easy-to-use user interface. CDBO enables you to create data or music 
CDs in the most intuitive matter, while enabling you to control every aspect of
the process. It is built on top of very well known cdrecord, mkisofs, cdda2wav and 
cdparanoia , encapsulating most of the options those utilities provide. This makes 
creating professional quality media as easy as making a few mouse clicks.

%prep
%setup -q -n cdbakeoven-i18n-%version%beta
make -f admin/Makefile.common cvs

%build
%configure  \
    --enable-final \
    --disable-rpath \
    --disable-static \
    --enable-shared

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
#%set_verify_elf_method textrel=relaxed

cp $RPM_BUILD_ROOT%_iconsdir/hicolor/32x32/apps/cdbakeoven.png $RPM_BUILD_ROOT%_iconsdir/cdbakeoven.png

# create menus
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Archiving/Cd burning"  %buildroot/%_datadir/applnk/Multimedia/cdbakeoven.desktop %buildroot/%_menudir/%name
#
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboaudioopt.desktop %buildroot/%_menudir/cdboaudioopt kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboburnopt.desktop %buildroot/%_menudir/cdboaudioopt kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdbocdromdevices.desktop %buildroot/%_menudir/cdbocdromdevices.desktop kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdbodefaultopt.desktop %buildroot/%_menudir/cdbodefaultopt kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboisoopt.desktop %buildroot/%_menudir/cdboisoopt kde

%add_findprov_lib_path %_libdir/kde3
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/kde3/*.so
%_libdir/kde3/*.la
%_includedir/cdbo
%_datadir/apps/%name
%_datadir/apps/cdbo*
%_datadir/apps/konqiconview/kpartplugins/*.rc
%_datadir/apps/konqlistview/kpartplugins/*.rc
%_datadir/apps/konqsidebartng/virtual_folders/services/*.desktop
%_datadir/apps/konqueror/servicemenus/*.desktop
%_datadir/mimelnk/application/*.desktop
%_datadir/mimelnk/inode/*.desktop
%_datadir/services/kded/*.desktop
%_datadir/services/*.protocol
#
%_datadir/applnk/Multimedia/*.desktop
%dir %_datadir/applnk/Settings/CDBakeOven
%_datadir/applnk/Settings/CDBakeOven/.directory
%_datadir/applnk/Settings/CDBakeOven/*.desktop
%_menudir/*
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
#
#doc %dir %_datadir/doc/HTML/en/cdbakeoven
%doc README INSTALL COPYING AUTHORS

%changelog
* Thu Nov 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 2.0-alt0.3.beta2
- fix provides

* Fri Nov 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 2.0-alt0.2.beta2
- new buildrequires and rebuilding in hasher

* Wed Mar 05 2003 Sergey V Turchin <zerg@altlinux.ru> 2.0-alt0.1.beta2
- new version

* Thu Dec 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.8.9-alt4
- fix menu item
- some spec cleanup

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 1.8.9-alt3
- rebuild with gcc 3.2

* Mon Sep 02 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.8.9-alt2
- 1.8.9

* Tue Jun 11 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.8.9-alt1
- 1.8.9

* Wed Jan 23 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.9-alt1
- 1.7.1

* Sat Dec 29 2001 Yehuda Ben-Yosef <yuda66@yes.ru> 1.7.1-alt1
- 1.7.1

- specfile cleanup



